# CSC334, Homework 8, Fall 2015

# Solution Set


#-----------
# FUNCTIONS
#-----------


# convert fasta to psmcfa
def fasta2psmcfa(in_filename, out_filename):
    f = open(in_filename,'r').read().split('\n')
    print(len(f))
    o = open(out_filename,'w')
    for i in range(int(len(f)/4)):
        seq1 = f[i*4+1]
        seq2 = f[i*4+3]
        assert len(seq1) == len(seq2)

        combined_seq = ''
        for j in range(len(seq1)):
            if seq1[j] == seq2[j]:
                combined_seq += 'T'
            else:
                combined_seq += 'K'
        o.write('>' + str(i) + '\n' + combined_seq + '\n') 

    o.close()


#------
# MAIN
#------


fasta2psmcfa('dataset1_big.fasta','dataset1_big.psmcfa')
fasta2psmcfa('dataset2_big.fasta','dataset2_big.psmcfa')
            
